import 'package:animated_text_kit/animated_text_kit.dart';
import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:terepi_seged/pages/start/presentation/controllers/start_page_controller.dart';

class StartPage extends GetView<StartPageController> {
  const StartPage({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Colors.white54,
      body: Center(
        child: Row(
          mainAxisAlignment: MainAxisAlignment.center,
          children: [
            const Text('Terepi',
                style: TextStyle(
                    color: Colors.white,
                    fontSize: 32.0,
                    fontWeight: FontWeight.normal,
                    letterSpacing: 1.15)),
            const SizedBox(
              width: 8.0,
            ),
            DefaultTextStyle(
                style: const TextStyle(
                    color: Colors.white,
                    fontSize: 32,
                    fontWeight: FontWeight.normal,
                    letterSpacing: 1.15),
                child: AnimatedTextKit(
                  animatedTexts: [
                    TypewriterAnimatedText('Segéd',
                        speed: const Duration(milliseconds: 350), cursor: '')
                  ],
                  isRepeatingAnimation: false,
                ))
          ],
        ),
      ),
    );
  }
}
